Get network health status

Prev Next
Get
/v2.3/networks/{networkId}/health

Required permissions: ["network:read"]

Get health status of all gateways and tunnels in the standard network.

Security
HTTP
Type bearer
Path parameters
networkId
stringRequired
Responses
200

Health status retrieved successfully

Expand All
object
data
Array of object (StandardHealthCheck)

List of health checks for standard networks (includes gateways and tunnels)

object
type
string

Type of health check component for standard networks

Valid values[ "gateway", "tunnel" ]
meta
object (StandardHealthCheckMeta)
networkId
string

ID of the network

instanceId
string

ID of the instance (gateway or tunnel)

tunnelName
string

Name of the tunnel (only for tunnel type)

status
string

Health status of the component

Valid values[ "passing", "critical", "unknown" ]
401

Unauthorized

403

Forbidden

404

Network not found